Bug 797917 (CVE-2012-0868) - CVE-2012-0868 postgresql: SQL injection due unsanitized newline characters in object names
Summary: CVE-2012-0868 postgresql: SQL injection due unsanitized newline characters in...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2012-0868
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 797918 812070 812071 812077 812078 812081 812082
Blocks: 797940
TreeView+ depends on / blocked
 
Reported: 2012-02-27 14:25 UTC by Jan Lieskovsky
Modified: 2019-09-29 12:50 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-21 18:16:09 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:0677 0 normal SHIPPED_LIVE Moderate: postgresql security update 2012-05-21 18:10:19 UTC
Red Hat Product Errata RHSA-2012:0678 0 normal SHIPPED_LIVE Moderate: postgresql and postgresql84 security update 2012-05-21 18:55:57 UTC

Description Jan Lieskovsky 2012-02-27 14:25:54 UTC
A security flaw was found in the way pg_dump utility of PostgreSQL extracted information about particular database into script or other archive file for database objects, containing new line '\n' character in their names. An unprivileged database user could create a specially-crafted database object and use this flaw to perform arbitrary SQL command (SQL injection), when an unsuspecting database administrator reloaded such (previously dumped) script or archive file.

References:
[1] http://www.postgresql.org/support/security/

Comment 1 Jan Lieskovsky 2012-02-27 14:28:57 UTC
This issue affects the versions of the postgresql and postgresql84 package, as shipped with Red Hat Enterprise Linux 5.

--

This issue affects the version of the postgresql package, as shipped with Red Hat Enterprise Linux 6.

--

This issue affects the versions of the postgresql package, as shipped with Fedora release of 15 and 16. Please schedule an update.

Comment 2 Jan Lieskovsky 2012-02-27 14:32:47 UTC
Created postgresql tracking bugs for this issue

Affects: fedora-all [bug 797918]

Comment 5 Fedora Update System 2012-03-06 20:40:47 UTC
postgresql-9.1.3-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2012-03-08 04:01:13 UTC
postgresql-9.1.3-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2012-03-08 04:51:51 UTC
postgresql-9.0.7-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2012-03-08 04:54:09 UTC
postgresql-9.1.3-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 errata-xmlrpc 2012-05-21 14:55:38 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:0677 https://rhn.redhat.com/errata/RHSA-2012-0677.html

Comment 13 errata-xmlrpc 2012-05-21 15:10:04 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6

Via RHSA-2012:0678 https://rhn.redhat.com/errata/RHSA-2012-0678.html


Note You need to log in before you can comment on or make changes to this bug.